import requests
from bs4 import BeautifulSoup
from datetime import date

from typing import List

base_url = "https://www.oxy.edu/student-life/campus-dining/where-eat/marketplace"

days = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]


def print_day(day_name: str) -> None:
    resp = requests.get(base_url)

    soup = BeautifulSoup(resp.content, "html.parser")

    day = soup.find(id=day_name)

    print(day.parent.text)

    start = day.parent.parent.parent.find_next("p").find_next("p")

    print("\nBreakfast\n")
    print(start.text)
    start = start.find_next("p")
    print("\nLunch\n")
    print(start.text)
    start = start.find_next("p")
    print("\nDinner\n")
    print(start.text)


today = date.today()

print_day(days[today.weekday()])
